你当前正在访问 Microsoft Azure Global Edition 技术文档网站。 如果需要访问由世纪互联运营的 Microsoft Azure 中国技术文档网站,请访问 https://docs.azure.cn

Web Pub Sub Private Link Resources - List

获取需要为资源创建的专用链接资源。

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.SignalRService/webPubSub/{resourceName}/privateLinkResources?api-version=2024-03-01

URI 参数

名称 必需 类型 说明
resourceGroupName
path True

string

minLength: 1
maxLength: 90

资源组的名称。 名称不区分大小写。

resourceName
path True

string

minLength: 3
maxLength: 63
pattern: ^[a-zA-Z][a-zA-Z0-9-]{1,61}[a-zA-Z0-9]$

资源的名称。

subscriptionId
path True

string (uuid)

目标订阅的 ID。 该值必须是 UUID。

api-version
query True

string

minLength: 1

用于此操作的 API 版本。

响应

名称 类型 说明
200 OK

PrivateLinkResourceList

成功。 响应描述专用链接资源的列表。

Other Status Codes

ErrorResponse

描述操作失败的原因的错误响应。

安全性

azure_auth

Azure Active Directory OAuth2 流

类型: oauth2
流向: implicit
授权 URL: https://login.microsoftonline.com/common/oauth2/authorize

作用域

名称 说明
user_impersonation 模拟用户帐户

示例

WebPubSubPrivateLinkResources_List

示例请求

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.SignalRService/webPubSub/myWebPubSubService/privateLinkResources?api-version=2024-03-01

示例响应

{
  "value": [
    {
      "properties": {
        "groupId": "webpubsub",
        "requiredMembers": [
          "webpubsub"
        ],
        "requiredZoneNames": [
          "privatelink.webpubsub.azure.com"
        ],
        "shareablePrivateLinkResourceTypes": [
          {
            "name": "site",
            "properties": {
              "description": "Azure App Service can be used as an upstream",
              "groupId": "sites",
              "type": "Microsoft.Web/sites"
            }
          },
          {
            "name": "vault",
            "properties": {
              "description": "Azure Key Vault can be used as credentials store",
              "groupId": "vault",
              "type": "Microsoft.KeyVault/vaults"
            }
          },
          {
            "name": "table",
            "properties": {
              "description": "Azure Storage Table can be used as message store",
              "groupId": "table",
              "type": "Microsoft.Storage/storageAccounts"
            }
          }
        ]
      },
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/myResourceGroup/providers/Microsoft.SignalRService/WebPubSub/myWebPubSubService/privateLinkResources/myPrivateLink",
      "name": "myPrivateLink",
      "type": "privateLinkResources"
    }
  ],
  "nextLink": "https://management.azure.com/subscriptions/subid/providers/Microsoft.SignalRService/...pathToMoreResults..."
}

定义

名称 说明
createdByType

创建资源的标识的类型。

ErrorAdditionalInfo

资源管理错误附加信息。

ErrorDetail

错误详细信息。

ErrorResponse

错误响应

PrivateLinkResource

专用链接资源

PrivateLinkResourceList

包含 PrivateLinkResource 列表和查询更多结果的可能链接

ShareablePrivateLinkResourceProperties

描述已载入到专用链接服务的资源类型的属性

ShareablePrivateLinkResourceType

描述已载入到专用链接服务的资源类型

systemData

与创建和上次修改资源相关的元数据。

createdByType

创建资源的标识的类型。

说明
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

资源管理错误附加信息。

名称 类型 说明
info

object

其他信息。

type

string

其他信息类型。

ErrorDetail

错误详细信息。

名称 类型 说明
additionalInfo

ErrorAdditionalInfo[]

错误附加信息。

code

string

错误代码。

details

ErrorDetail[]

错误详细信息。

message

string

错误消息。

target

string

错误目标。

ErrorResponse

错误响应

名称 类型 说明
error

ErrorDetail

错误对象。

PrivateLinkResource

专用链接资源

名称 类型 说明
id

string (arm-id)

资源的完全限定资源 ID。 例如“/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}”

name

string

资源的名称

properties.groupId

string

专用链接资源的组 ID

properties.requiredMembers

string[]

专用链接资源的必需成员

properties.requiredZoneNames

string[]

所需的专用 DNS 区域名称

properties.shareablePrivateLinkResourceTypes

ShareablePrivateLinkResourceType[]

载入到专用链接服务的资源列表

systemData

systemData

包含 createdBy 和 modifiedBy 信息的 Azure 资源管理器元数据。

type

string

资源的类型。 例如“Microsoft.Compute/virtualMachines”或“Microsoft.Storage/storageAccounts”

PrivateLinkResourceList

包含 PrivateLinkResource 列表和查询更多结果的可能链接

名称 类型 说明
nextLink

string

客户端应用于提取下一页的 URL(每个服务器端分页)。 现在为 null,已添加供将来使用。

value

PrivateLinkResource[]

PrivateLinkResource 列表

ShareablePrivateLinkResourceProperties

描述已载入到专用链接服务的资源类型的属性

名称 类型 说明
description

string

已载入专用链接服务的资源类型的说明

groupId

string

已载入到专用链接服务的资源的资源提供程序组 ID

type

string

已载入到专用链接服务的资源的资源提供程序类型

ShareablePrivateLinkResourceType

描述已载入到专用链接服务的资源类型

名称 类型 说明
name

string

已载入专用链接服务的资源类型的名称

properties

ShareablePrivateLinkResourceProperties

描述已载入到专用链接服务的资源类型的属性

systemData

与创建和上次修改资源相关的元数据。

名称 类型 说明
createdAt

string (date-time)

资源创建时间戳(UTC)。

createdBy

string

创建资源的标识。

createdByType

createdByType

创建资源的标识的类型。

lastModifiedAt

string (date-time)

上次修改的资源时间戳(UTC)

lastModifiedBy

string

上次修改资源的标识。

lastModifiedByType

createdByType

上次修改资源的标识的类型。